using System;
using System.Drawing;
using System.Collections;
using System.Collections.Generic;
using System.ComponentModel;
using GrapeCity.ActiveReports.Data;
using System.Windows.Forms;

namespace ImageReport
{
    /// <summary>
    /// Summary description for SectionReport1.
    /// </summary>
    public partial class SectionReport1 : GrapeCity.ActiveReports.SectionReport
    {

        public SectionReport1()
        {
            //
            // Required for Windows Form Designer support
            //
            InitializeComponent();
        }

        private void SectionReport1_ReportStart_1(object sender, EventArgs e)
        {
            OleDBDataSource _oleConn = new OleDBDataSource();
            _oleConn.ConnectionString = @"Provider=Microsoft.Jet.OLEDB.4.0;Data Source=..\..\ImagePath.mdb;Persist Security Info=False";
            _oleConn.SQL = "Select * from ImageTable";
            this.DataSource = _oleConn;
        }

        private void Detail_Format(object sender, EventArgs e)
        {
            //Local Images
            string localPath = txtLocalPath1.Text.Replace("#", "");
            Picture1.Image = System.Drawing.Image.FromFile(localPath);
            //HTTP Images
            string linkURL = txtHttpPath1.Text.Replace("#", "");
            RichTextBox1.Html = "<img src='" + linkURL + "'></img>";
        }
    }
}
